package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.UserRoleDetail;
import com.sa.ibiz.demo.demo.service.UserRoleDetailService;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDetailSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/userroledetail")
public class UserRoleDetailResource
{
	@Autowired
	private UserRoleDetailService service;


	@GetMapping(value = "/{id}")
	public ResponseEntity<UserRoleDetail> get(@Validated @PathVariable String id){
		UserRoleDetail data=new UserRoleDetail();
		data.setUserroledetailid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("用户角色成员[get]操作发生错误","UserRoleDetail",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<UserRoleDetail> remove(@Validated @RequestBody UserRoleDetail data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色成员[remove]操作发生错误","UserRoleDetail",data.getUserroledetailid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<UserRoleDetail> getDraft(@Validated @RequestBody UserRoleDetail data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色成员[getDraft]操作发生错误","UserRoleDetail","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<UserRoleDetail> update(@Validated @RequestBody UserRoleDetail data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色成员[update]操作发生错误","UserRoleDetail",data.getUserroledetailid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<UserRoleDetail> create(@Validated @RequestBody UserRoleDetail data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色成员[create]操作发生错误","UserRoleDetail",data.getUserroledetailid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<UserRoleDetail> checkKey(@Validated @RequestBody UserRoleDetail data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色成员[checkKey]操作发生错误","UserRoleDetail",data.getUserroledetailid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<UserRoleDetail>> searchDefaultPage(@Validated @RequestBody UserRoleDetailSearchFilter filter){
		Page<UserRoleDetail> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<UserRoleDetail>> listDefault(@Validated @RequestBody UserRoleDetailSearchFilter filter){
		List<UserRoleDetail> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
